THIS IS THE CHANGELOG OF THE "embryogrowth" PACKAGE

            CHANGES IN VERSION 2026.8.24 (2026-08-24)

* New CRAN version - 2026.8.24 (2026-08-24)

            CHANGES IN VERSION 2026.8.7 (2026-08-10)

* New CRAN version - 10.3 (2025-08-08)
* Begin, End of TSP and End of incubation are better managed in info.nests() - 10.3.1 (2025-08-21)
* Solve a rare case with a problem in info.nests() - 10.3.2 (2025-08-21)
* New CRAN Version - 10.4 (2025-09-10)
* Minor change in plotR() to prevent an error when the number of replicates in mcmc quantiles when the number of row in object is lower than replicate.CI - 10.4.1 (2025-09-17)
* New numerotation using the date - 2025.09.18 (2025-09-18)
* New SD parameter for tsd() model - 2025.11.19 (2025-11-19)
* The SD parameter in tsd() model can be used for mcmc - 2025.12.06 (2025-12-06)
* New ROSIE database - 2025.12.22 (2025-12-22)
* New model stairs with TransitionL et TransitionH but TRT does not still take into account these parameters - 2025.12.26 (2025-12-26)
* New parameters for flexit**: TRTL and TRTH to limit the range of the TRT (it works now only TSD Ia or MF pattern) - 2025.12.30 (2025-12-30)
* Correct a bug to use tsd uncertainty in info.nest() - 2026.01.18 (2026-01-18)
* If BeginTSP, LengthTSP, or EndTSP are too small or large and expand below or above the known timeseries of temperatures, return -Ln L=+Inf and not NA - 2026.01.24 (2026-01-24)
* New option to prevent to guess the parameters for tsd() - 2026.2.6 (2026-02-06)
* New option stop.at.hatchling.metric for STRN - 2026.3.7 (2026-03-07)
* info.nest() can use hatchling.metric.mean and hatchling.metric.sd from new temperatures - 2026.6.17 (2026-06-17)
* info.nest() returns the Mass of hatchlings - 2026.6.17 (2026-06-17)
* MovingIncubation() is compatible with the changes done the 2026-06-17 - 2026.6.18 (2026-06-18)
* Better control of parallel computing in searchR() and GRTRN_MHmcmc() - 2026.6.21 (2026-06-21)
* Prevent error in show.hist=TRUE within plotR when temperatures extends range of xlim - 2026.6.25 (2026-06-25)
* New parameters stopAtMaxiter and method in searchR() - 2026.7.28 (2026-07-28)
* SSM can use Begin and End when using trigonometric model - 2026.7.31 (2026-07-31)
* hessian parameter in searchR to prevent estimation of Hessian - 2026.8.7 (2026-08-07)
* Change .Names into names in structure() - 2026.8.24 (2026-08-24)

            CHANGES IN VERSION 10.2.x (2025-08-07)

* New CRAN version - 10.2 (2025-06-16)
* Better color managment for HeterogeneityNests - 10.2.1 (2025-06-30)
* Remove default values for metric size in searchR() - 10.2.2 (2025-07-08)
* Minor change in HeterogeneityNests() - 10.2.3 (2025-07-15)
* Authorize lwd and lty in absolute time in plot.Nest2() - 10.2.4 (2025-07-21)
* WAIC option is included for Hatching.Success() - 10.2.5 (2025-08-06)
* Cosmetic change in plot.HatchingSuccess() - 10.2.6 (2025-08-07)

            CHANGES IN VERSION 10.1.x (2025-06-12)

* New CRAN version - 10.1 (2025-05-06)
* New parameter for plot.tsd: show.observations.sd - 10.1.1 (2025-05-25)
* New parameter for plot.Nest2 to change the labels - 10.1.2 (2025-05-29)
* Add xaxt parameter for plotR - 10.1.3 (2025-06-03)
* Update ROSIE database - 10.1.4 (2025-06-03)
* Bug correction for absolute plot in plot.Nest2 - 10.1.5 (2025-06-09)
* can show only full or half heterogeneity - 10.1.6 (2025-06-09)

            CHANGES IN VERSION 10.0.x (2025-05-06)

* New internal format for Nests objects - 10.0 (2025-02-10)
* Bug for HeterogeneityNests() - 10.0.1 (2025-02-28)
* WAIC for GRTRN_MHmcmc() - 10.0.4 (2025-03-06)
* WAIC for STRN_MHmcmc() - 10.0.5 (2025-03-08)
* WAIC for tsd() - 10.0.6 (2025-03-08)
* New experimental stairs model for tsd() - 10.0.7 (2025-03-28)
* Priors default in tsd_MHmcmc_p() can use different densities - 10.0.8 (2025-03-30)
* Bug corrected to show the uncertainty in prediction of growth of embryo - 10.0.9 (2025-03-31)
* flexit** model of tsd() is updated - 10.0.10 (2025-04-02)
* Take into account replicate.CI in info.nest() when stop.at.hatchling.metric = TRUE - 10.0.11 (2025-04-04)
* New stages version for TSP - 10.0.12 (2025-04-04)
* Show the number of cores that will be used in searchR() - 10.0.13 (2025-04-09)
* New information in movments() function - 10.0.14 (2025-04-30)
* New options for x-scale in plot() - 10.0.14 (2025-04-30)
* Correct a warning in hist() - 10.0.15 (2025-05-05)

            CHANGES IN VERSION 9.5.4 (2025-02-10)

* New CRAN version - 9.5 (2024-08-23)
* formatNests() accept a new information: the laying time for each nest - 9.5.3 (2025-02-04)
* formatNests() can store information (UnitTime, Longitude, Latitude, Informations) for each nest - 9.5.4 (2025-02-06)

            CHANGES IN VERSION 9.4.2 (2024-07-26)

* New CRAN version - 9.1 (2023-04-03)
* Solve a problem in tsd() when the vcov matrix is not positive - 9.1.1 (2023-11-05)
* Solve problems in movement() function - 9.1.2 (2023-11-07)
* Experimental: Add a new possibility to estimate likelihood is tsd() for sex ratio when n is not known - 9.1.3 (2023-11-08)
* New out possibility for info.nests() to be able to use Bayesian Model Averaging - 9.1.4 (2023-11-10)
* Experimental: Add a new possibility to estimate likelihood in tsd() for sex ratio when n is not known - 9.1.5 (2023-11-08)
* RMU.2010 and RMU.2023 are included in databaseTSD - 9.1.6 (2023-12-01)
* New equation flexit* - 9.2 (2023-12-29)
* New references- 9.2 (2024-02-05)
* Minor change for initial parameters in tsd - 9.2.1 (2024-03-20)
* Solve a problem in STRN when sex ratio was missing for some timeseries - 9.2.2 (2024-03-30)
* STRN can use a flexit* model - 9.2.2 (2024-03-30)
* 2 new columns in databaseTSD: incubation.temperature.set and incubation.temperature.corrected - 9.2.3 (2024-04-07)
* Dermochelys coriacea information in databaseTSD were corrected - 9.2.4 (2024-04-30)
* New option to use ggplot2 to produce tsd graph - 9.3.0 (2024-05-16)
* New examples for tsd graph - 9.3.1 (2024-05-18)
* Dermochelys coriacea information in databaseTSD were corrected - 9.3.3 (2024-05-22)
* Dermochelys coriacea information in databaseTSD and listTSP were corrected - 9.4 (2024-05-26)
* logit model is implemented in tsd - 9.4.1 (2024-06-24)

            CHANGES IN VERSION 9.0.2 (2023-10-24)

* New CRAN version - 9.0 (2023-04-03)
* New stages for Lepidochelys olivacea - 9.0.1 (2023-09-12)
* Correction of priors for TSD when durations are used - 9.0.2 (2023-10-02)
* New data for Trachemys in databaseTSD - 9.1 (2023-10-24)

            CHANGES IN VERSION 8.7.3 (2023-03-16)

* New CRAN version - 8.7 (2022-09-06)
* Solve a rare problem in FormatNests() - 8.7.1 (2023-02-17)
* New parameter xlimR in plotR() - 8.7.2 (2023-02-22)
* Change the limits for L-BFGS-B parameters in HatchingSuccess.fit() - 8.7.3 (2023-03-16)
* SexualisationTRN can use the polynom format 9.0 (2023-04-07)

            CHANGES IN VERSION 8.6-7 (2022-08-22)

* New CRAN version - 8.6 (2022-07-14)
* Fix align for html5 - 8.6-7 (2022-08-22)

            CHANGES IN VERSION 8.5-17 (2022-07-13)

* New CRAN version - 8.5 (2022-05-28)
* The hatching success model can be defined only with one parameter, MaxHS or MeanHS - 8.5-1 (2022-05-29)
* Fixed.parameters are used in plot of HatchingSuccess - 8.5-11 (2022-06-06)
* Tentatively solve a problem in movingincubation in Windows when parallel is TRUE - 8.5-16 (2022-07-13)

            CHANGES IN VERSION 8.4-10 (2022-05-05)

* New CRAN version - 8.4 (2022-04-04)
* Better managment of class - 8.4-1 (2022-04-21)
* Side effect of new class managment for STRN_MHmcmc() is corrected - 8.4-9 (2022-05-05)

            CHANGES IN VERSION 8.3-26 (2022-04-02)

* New CRAN version - 8.3 (2022-01-31)
* Minor change for figure in documentation - 8.3-1 (2022-02-17)
* New url to update the package before to be uploaded to CRAN - 8.3-5 (2022-02-24)
* Check for update at startup - 8.3-6 (2022-03-28)
* New parameter SD for final size when proportion of development is used - 8.3-7 (2022-03-28)
* New parameters Threshold_High and Threshold_Low - 8.3-17 (2022-04-01)
* Function TRN_MHmcmc_p() has been simplified - 8.3-20 (2022-04-02)

            CHANGES IN VERSION 8.2-15 (2022-01-26)

* New CRAN version - 8.2 (2021-06-29)
* Add option "pseudohessianfrommcmc" for movingincubation - 8.2-1 (2021-10-06)
* plotR() return a list with two elements, scaleY and xy - 8.2-4 (2021-11-19)
* plot.tsd() return a data.frame with model - 8.2-6 (2022-01-11)

            CHANGES IN VERSION 8.1-7 (2021-08-20)

* New CRAN version - 8.1 (2021-06-29)
* tsd() accepts replicate.CI being null - 8.1-1 (2021-07-13)
* MovingIncubation() accepts metabolic.heating being different from 0 - 8.1-5 (2021-08-19)

            CHANGES IN VERSION 8.0-42 (2021-06-03)

* fixed.parameters works again in tsd - 8.0-0 (2020-10-20)
* Fix a bug for AICc and BIC estimation in tsd function - 8.0-1 (2020-10-31)
* Calculate AICc and BIC in HatchingSuccess.fit - 8.0-2 (2020-11-23)
* HatchingSuccess.fit is compatible with IP.mean - 8.0-2 (2020-11-23)
* Polishing STRN - 8.0-3 (2020-12-10)
* Correction for deviance test in tsd() - 8.0-4
* nobs.HatchingSuccess() is corrected - 8.0-5
* BIG CHANGE: test and stopattest parameters are renamed hatchling.metric and stop.at.hatchling.metric - 8.0-6
* BIG EXPERIMENTAL CHANGE: New method to estimate growth of embryos to limit the impact of Runge-Kutta approximation - 8.0-7-8.0-9
* New ways to estimate CTE in info.nests() to be closer from the biological interpretation - 8.0-10
* P_TRT works when S is positive in flexit model - 8.0-11 (2021-02-01)
* Change of description in STRN_MHmcmc() - 8.0-12 (2021-02-03)
* durations can be used with predict.tsd - 8.0-13 (2021-02-04)
* SE FALSE does not roduce error in tsd - 8.0-14 (2021-03-15)
* Minor change in info.nests() - 8.0-15 (2021-04-07)
* Results in info.nests() are ordered - 8.0-16 (2021-04-08)
* New parameter max.time in MovingIncubation() - 8.0-17 (2021-04-13)
* Change in info.nests to ensure that size is always increasing - 8.0-18 (2021-04-14)
* Change in TRN_MHmcmc_p() to use only runif distribution - 8.0-19 (2021-04-15)
* Minor change in description of DatabaseTSD(), info.nests() and GRTRN_MHmcmc() - 8.0-20 (2021-04-16)
* Updated version of examples in searchR() - 8.0-21 (2021-04-19)
* Minor change in info.nests() when fill is the same as existing temperatures - 8.0-21 (2021-04-19)
* Cchange in info.nests() to estimate the TSP - 8.0-22 (2021-04-19)
* Minor change in STRN() - 8.0-23 (2021-04-20)
* Simplification and enhancement of STRN() - 8.0-24 (2021-04-27)
* Prevent a case in which LengthTSP can be negative in STRN() - 8.0-25 (2021-04-29)
* Add embryogrowth logo - 8.0-26 (2021-05-01)
* Minor changes in info.nests() - 8.0-27 (2021-05-03)
* Add hessian parameter in STRN() - 8.0-28 (2021-05-04)
* Minor changes in info.nests() - 8.0-29 (2021-05-03)
* Minor changes in info.nests() - 8.0-30 & 8.0-31 & 8.0-32 & 8.0-33 (2021-05-11)
* Minor changes in movingincubation() - 8.0-34 & 8.0-35 (2021-05-11)
* Minor changes in info.nests() - 8.0-36 (2021-05-12)
* fill parameter in STRN() - 8.0-37 (2021-05-13)
* Minor change in plotR - 8.0-38 (2021-05-14)
* Minor changes in info.nests() - 8.0-39 (2021-05-16)
* Minor changes in info.nests() - 8.0-40 (2021-05-17)
* Add option dynamic in info.nests() - 8.0-41 (2021-05-18)
* Solve too long vector in info.nests() - 8.0-42 (2021-06-03)

            CHANGES IN VERSION 7.7 (2020-01-15)

* Correct a strange erratic problem in P_TRT() - 7.6.1
* Correct a problem when replicate.CI was not taken into account with resultmcmc in P_TRT() - 7.6.2
* Parameter CI replaced by GTRN.CI in info.nests() - 7.6.3
* Better management of replicate.CI in info.nests() - 7.6.3
* Minor changes in info.nests() and moving.incubation() - 7.6.4
* Major changes in hatching success model - 7.6.5
* Correct a bug in predict.HatchingSuccess() with MCMC - 7.6.6
* New version of TSD database - 7.6.7
* New function movement() - 7.7
* replicate.NullDeviance was not taken into account in tsd() - 7.7
* New CRAN version - 7.7 (2020-01-15)
* TSP.begin and TSP.end are used in STRN - 7.7.1 (2020-02-22)
* MassWeighted is replaced by GrowthWeighted in info.nests() - 7.7.2 (2020-02-23)
* New outputs in info.nests() with GrowthRateWeighted - 7.7.2 (2020-02-23)
* Minor changes in plot.tsd() and P_TRT() - 7.7.3 (2020-06-10)
* Add flexit in tsd in shiny - 7.7.4 (2020-06-27)
* when mcmc result is given with P_TRT() and the number of replicate.ci is equal to the number of iteration, no resampling is done - 7.7.5 (2020-08-12)
* Improvement of the hatchling success model - 7.8 (2020-09-17)
* Improvement of databaseTSD for Eretmochelys imbricata - 7.8.1 & 7.8.2 (2020-09-23 & 2020-09-24)
* New hessian parameter in HatchingSuccess.fit - 7.8.3 (2020-10-07)
* tsd function can now fit TSDII or FMF pattern - 7.9 (2020-10-11)
* DatabaseTSD.version() returns the date of the most recent update of the database TSD - 7.9 (2020-10-19)

            CHANGES IN VERSION 7.6 (2019-08-30)
          
* New function to study data logger precision: uncertainty.datalogger - 7.3
* Correct a bug in predict.HatchingSuccess - 7.3
* Correct a bug in STRN - 7.3.1
* Add the temperatures object in STRN output - 7.3.2
* New functions calibrate.datalogger - 7.3.3
* Simplification of calibrate.datalogger() and uncertainty.datalogger() - 7.3.4
* uncertainty.datalogger() by default uses only one measurement - 7.4.1
* New version of TSD database - 7.4.2
* Better fit control in tsd() - 7.4.3
* New algorithm to search for confidence interval of TRT bounds in tsd() - 7.4.4
* New approximation for Hulin, Richards, and double-Richards equations in tsd() - 7.4.5
* New example in info.nests() - 7.4.6
* fixed.parameters in fitHS() - 7.4.7
* TSP.borders parameter in STRN() - 7.4.8
* Correct a bug when weights were used - 7.4.9
* STRN can fit the TSD model - 7.5, 7.5.1, 7.5.2, 7.5.3
* movingincubation() can show again a progress bar - 7.5.4
* P_TRT() can manipulate very large TRT - 7.5.5
* New example in info.nests() to use the PM method of Massey et al. 2019 - 7.5.6
* info.nests() returns PM.mean and PM.se from Massey et al. 2019 - 7.5.7
* Correct a bug in info.nests()$metric when more than one nest were used - 7.5.7
* New outputs for summary of info.nests() PM.TimeWeight.mean and PM.TimeWeight.se - 7.5.8
* Bug correction in info.nests() - 7.5.9
* New flexit model for tsd() - 7.5.10
* New mcmc function for hatching success - 7.5.11
* Rename all Hatching Success functions for better homogeneity; new plot function - 7.5.12
* Better implementation of flexit model for tsd - 7.5.14-7.5.15
* Solve a case when predict.tsd() returns 0 or 1 whereas some observations are present - 7.5.16
* Better implementation of flexit model for tsd - 7.5.17
* Fix a bug in STRN_MHmcmc - 7.5.18
* Better implementation of flexit model for tsd - 7.5.19
* flexit model for tsd comes from HelpersMG package - 7.5.20
* traceML parameter for GRTRN_MHmcmc, HatchingSuccess.MHmcmc, tsd_MHmcmc, and STRN_MHmcmc- 7.5.21 (2019-08-20)
* Solve a problem in plot.tsd() when SE for S, K1 or K2 are very high - 7.5.22 & 7.5.23 (2019-08-22)
* TRT is no more estimated for Hulin and Double-A-logistic models of tsd() - 7.5.24
* Add deviance test for tsd() - 7.5.25
* Correct deviance estimation for tsd() - 7.5.26
* Correct TRT estimation for A-logistic model for extrem K value- 7.5.27
* New CRAN version - 7.6

            CHANGES IN VERSION 7.2.3 (2018-02-07)
          
* New functions to study hatching success - 7.2
* Temperature.max is a new output of info.nests() - 7.2.1
* Change the examples of info.nests() - 7.2.2
* New Generic_ProportionDevelopment item in TSP.list - 7.2.3

            CHANGES IN VERSION 7.1.1 (2018-01-24)
          
* Add an example to plot the temperatures - 7.1.1

          CHANGES IN VERSION 7.1-7.1.1    (2017-11-19)
          
* If no SD for test, use SSE criteria to fit - 7.1
* New example in searchR to fit data using method of proportion of development - 7.1
* Small improvment in plot.NestsResult() - 7.1
* Better control of the beginning and end of the TSP within the corresponding stages - 7.1

          CHANGES IN VERSION 7.0    (2017-09-25)
          
* 2D reaction norm - 7.0
* Cholesky decomposition is used to estimate a pseudo-variance matrix for SE - 7.0
* AICc and BIC are estimated for the sexualisation thermal reaction norm - 7.0
* SE or hessian are used for movingincubation - 7.0
* Podocnemis expansa stages - 7.0

          CHANGES IN VERSION 6.5-6.5.18    (2017-05-09)
          
* New version for CRAN - 6.5
* Correction of some examples - 6.5.1
* Cleaning DatabaseTSD - 6.5.1
* New parameter pipping_emergence is the number of days between pipping and emergence. It is used to establish the 1/3 and 2/3 of the incubation - 6.5.2
* predict.tsd() can be used with only one probs - 6.5.3
* STRN() used the new version of predict.tsd() - 6.5.3
* STRN_MHmcmc() is corrected to be used with fixed.parameters of STRN() - 6.5.3
* First tentative to include hygrometry in the model as cofactor of Rho25 parameter. The new parameters are Rho25_b and Rho25_b_L - 6.5.3
* predict.tsd() works without temperatures or durations - 6.5.4
* New prallel parameter for STRN() and STRN_MHmcmc() - 6.5.5
* fixed.parameters from STRN is used now in info.nests() - 6.5.6
* New examples for STRN() and STRN_MHmcmc() - 6.5.6
* Minor bug for fixed.parameters in info.nests() - 6.5.7
* tsd(), P_TRT() and plot.tsd() can be used when some parameters are badly fitted - 6.5.8
* plot.tsd() is more robust to unusual situations - 6.5.9
* New outMCMC data - 6.5.10
* STRN() is faster if some timeseries have no information for sex - 6.5.11
* Database of embryological stages is more complete - 6.5.12
* New exemple for stages dataset - 6.5.13
* plot() of series can use the hessian matrix - 6.5.13
* Better control of the confidence interval shown is plot() using the CI parameter - 6.5.14
* Minor change in stages dataset - 6.5.15
* Hessian matrix for STRN() is estimated - 6.5.16
* info.nests() can use Hessian matrix for STRN() - 6.5.17
* Minor change in info.nests() - 6.5.18

          CHANGES IN VERSION 6.4-6.4.56    (2017-03-09)
          
* New version for CRAN - 6.4
* Correction of the y legend for plotR() - 6.4.1 & 6.4.2
* ylim parameter for plotR() works again - 6.4.2
* Bug correction : GRTRN_MHmcmc() works also with only one parameter - 6.4.3
* New parameter for SSM model: epsilon (SSM = SSM + epsilon) - 6.4.4
* Correct some examples - 6.4.5
* Nicer arrow for plot - 6.4.6
* New examples - 6.4.7
* Separate parameters for plotR and hist in plotR_hist() - 6.4.7
* New examples - 6.4.8 & 6.4.9
* Legend for hist() and plotR_hist() has been changed to Temperature density - 6.4.10
* Arrows in plot() are no more masked - 6.4.11
* Possibility to setup nonsymmetrical confidence interval using quantiles in ChangeSSM() - 6.4.12
* The non-symmetrical confidence interval can be used for randomization using info.nests() - 6.4.12
* New functions plotRdensity() and plotRdensity_hist() - 6.4.12
* New examples - 6.4.13
* If a mcmc object is used in info.nests() or plot.NestsResult(), it will be used directly - 6.4.14
* New asymmetric normal model - 6.4.15
* trace can be changed during mcmc search after a stop and previous use - 6.4.16
* New trigonometric model - 6.4.16
* Correct scaleY for plotRdensity() - 6.4.17
* Weibull model is correct and functional - 6.4.17
* BIC is calculated after searchR() - 6.4.17
* Correct a bug in info.nests() for replicate.CI=1 and resultmcmc - 6.4.18
* mcmc for normal function in SSM - 6.4.18
* new function nobs.NestResult() to be used with BIC() - 6.4.18
* New mcmc results for trigo and Weibull models - 6.4.19
* Adaptive mcmc is implemented for GTRN and STRN - 6.4.20
* Adaptive mcmc is implemented for TSD - 6.4.21
* Parallel computing implemented for windows - 6.4.22 & 6.4.23 & 6.4.24
* New version of resultNest_mcmc_4p_normal - 6.4.25
* Prevent an error in rare case in tsd - 6.4.26
* New examples in resultNest_mcmc_4p_normal - 6.4.26
* New data for Weibull model with 3 parameters - 6.4.27
* New data for SSM6p model - 6.4.28
* Bug correction when metric.end.incubation == NA - 6.4.28
* Transition parameters work for Weibull model - 6.4.29
* Can use several size for transition model in the same plot - 6.4.29
* set.par with plotR works again- 6.4.30
* cex.lab = 1, cex.axis = 1 for plotRdensity - 6.4.31
* New plotR2() will be a replacement for plotR, plotR_hist, plotRdensity and plotRdensity_hist - 6.4.32
* Cleaning the code: remove old SEforR, plotR, plotR_hist, plotRdensity and plotRdensity_hist - 6.4.33
* MovingIncubation() scheme for parallel is better and mcmc objects can be used instead of SE - 6.4.34
* Correct some problems with parallel in info.nests() in windows - 6.4.34
* polygon option for plotR() - 6.4.35
* mar and breaks parameter for plotR() - 6.4.36
* correct a bug in info.nests() for windows when parallel=FALSE - 6.4.37
* Legends are homogenized for various plots - 6.4.37
* New results in info.nests()$summary: CTEA.TSP_CTEA.2ndT, CTEA.TSP_CTEA.2ndT.se, CTEW.TSP_CTEW.2ndT, CTEW.TSP_CTEW.2ndT.se - 6.4.37
* New option parallel for MovingIncubation() and plot.NestsResult() to use or not parallel computing - 6.4.37
* New parameter SexualisationTRN.mcmc to generate variability of SexualisationTRN - 6.4.37
* If + or -Inf is produced in SSM, does not produce error - 6.4.38
* Dallwitz 3 parameters is simpler to implement - 6.4.39
* Correct a problem with mar parameter in plotR() - 6.4.40
* SE as matrix can be used with plotR()  - 6.4.41
* New parameter log.hist canbe used to show log axis for histogram - 6.4.42
* Minor change for plot.tsd() - 6.4.43
* new parameter fixed.parameters for STRN() - 6.4.44
* Fix a bug in MovingIncubation() - 6.4.45
* Implementation of delta method for confidence interval - 6.4.46
* temperature.heterogeneity accepts a vector of two values being sd_low and sd_high - 6.4.47
* Change the suggest packages - 6.4.48
* Better management of curves and polygon in plotR() - 6.4.49
* Minor change to prevent warnings() in plotR() - 6.4.50
* Correct tsd_MHmcmc() - 6.4.51
* SE returns by tsd() was not SE but variance - 6.4.52
* New parameter mar for plot.tsd() - 6.4.52
* New function trt() - 6.4.53
* New function P_TRT() more general than trt(); trt() is removed - 6.4.54
* Confidence interval for plot.tsd() uses the hessian matrix - 6.4.54
* durations is added for P_TRT() - 6.4.55
* SD for temperatures or durations is added for P_TRT() - 6.4.55
* predict.tsd can use mcmc or hessian matrix - 6.4.55
* minor change in predict.tsd - 6.4.56

          CHANGES IN VERSION 6.3.1-6.3.11    (2016-09-15)
          
* New shiny function web.tsd() - 6.3.1
* Restore web.tsd() - 6.3.2
* Minor modification of shiny application - 6.3.3
* plotR() returns R values in the unmodified scale - 6.3.4
* Modification of the scale of R graph produced by plotR() - 6.3.4
* errbar.tick does not produce warnings() in plot.tsd() - 6.3.5
* No error if show.anchors is used with plotR_hist() - 6.3.6
* Info.nest() returns also MassWeighted.temperature.mean - 6.3.7
* Solve some rare cases when info.nest()$summary returns NA - 6.3.7
* Correct description for test parameter in searchR() - 6.3.8
* Add parameter show.legend in plotR() - 6.3.9
* Correct a bug for STRN() when one of the timeseries had no known sex ratio - 6.3.10
* cex.axis in plot.tsd() and plot.NestResult() is used for x-axis - 6.3.11

          CHANGES IN VERSION 6.3    (2016-07-17)

* Minor update of plot.NestResult() to show TSP at the top of temperatures - 6.2.1
* Caretta caretta stages are no more defaults for plot.NestResult() - 6.2.1
* equation Hulin for tsd() is more robust - 6.2.2
* fixedparameter is used for mcmc - 6.2.2
* A matrix for SE can be used in plotR() for anchored parameters to use quantiles - 6.2.3
* New parameter x.SE to control the envelope of R - 6.2.3
* cex.axis and cex.lab works for temperature scale in plotR_hist - 6.2.4
* tsd indicates durations or temperatures correctly depending on data input - 6.2.5
* plot.tsd indicates durations or temperatures correctly - 6.2.6
* It is possible to show anchors in plotR() and plotR_hist() - 6.2.7
* New columns and information in STSR_TSD database - 6.2.8
* STRN() has been changed to be more reliable if the order of nests is changed - 6.2.8
* Bug correction in info.nests() - 6.2.9
* New option to not show observations in plot.tsd() - 6.2.9
* New parameter parallel for info.nests() and GTRN_MHmcmc() to control the use of parallel version within R (preparation for SparkR version) - 6.2.10
* batchsize option has been removed from GTRN_MHmcmc() - 6.2.10
* New example for movingincubation() - 6.2.11
* Introduction of Weibull function to fit thermal reaction norm - 6.2.11
* New parameter metabolic.heating in info.nests() - 6.2.11
* New parameter metabolic.heating in movingincubation() - 6.2.12
* range.CI parameter of predict.tsd() is replaced by quantiles - 6.2.13
* New temperature.heterogeneity parameter in info.nests() and movingincubation() - 6.2.14
* Changes in documentation - 6.2.15
* Better managment of error in SE during SearchR() - 6.2.16
* New function SEforR() to estimate SE for a set of parameters based on Fisher information matrix - 6.2.16
* Estimation of anchored model is more rapid - 6.2.16
* New parameter XlimSE for plotR and plotR is simplified - 6.2.17
* New model for anchors (polynomial fit) - 6.2.18
* New parameter hessian to return the hessian matrix in SEforR() - 6.2.18
* New model for anchors (linear fit) - 6.2.19
* Correct a bug in STRN() that prevent SE estimation - 6.2.19
* Object returns by STRN() is more complete and can be used by compare_AIC - 6.2.20
* info.nests() can use an object created by STRN() for the parameter SexualisationTRN - 6.2.20
* Call to MCMC is simplified - 6.2.21
* info.nests() use a parameter x rather than parameters - 6.2.21
* info.nests() can use both x and parameters to provide back compatibility - 6.2.22
* plotR() and plotR_hist() return a list with confidence intevals - 6.2.23
* Correct a bug in info.nests() (Thanks to Taylor R. Roberge to identifiy it) - 6.2.24
* xlimR of plotR() or plotR_hist() can be a vector of values - 6.2.24
* New example for plotR() using xlimR as a vector - 6.2.25
* shiny version has been removed as it was not maintained anymore - 6.3

          CHANGES IN VERSION 6.2    (2016-01-08)

* Update of documentation

          CHANGES IN VERSION 6.1.3-6.1.5    (2015-12-04)

* plot.NestResult() and plotR_hist() can be used with layout() or mfrow() - 6.1.3
* New database stages for embryonics stages, mass and SCL. Will be expanded in next versions - 6.1.4
* Solve a problem with mcmc - 6.1.5

          CHANGES IN VERSION 6.1.2    (2015-10-22)

* Correct a problem with info.nest when timeseries are of different length during resampling of parameters
* Correct a problem with info.nest when fill is not NULL

          CHANGES IN VERSION 6.1.1    (2015-10-16)

* Correct a problem occuring only with windows version

          CHANGES IN VERSION 6.1    (2015-10-11)

* Correction of movingincubation() to work with the new version of info.nests()
* In info.nests(), when temperatures are changed, if all NestResult$test parameters are the same and test is NULL, the test parameter is taken from NestResult$test
* metric.end.incubation in info.nests() and plot.NestsResult() is recycled if necessary
* plot.NestsResult() uses info.nests(), new parameter show.metric
* if metric.end.incubation is NA, the embryo metrics for TSP are scaled by metric of hatchlings at the end of incubation
* if metric.end.incubation is NULL, the embryo metrics for TSP are scaled by the maximum metric of mean in test parameters
* if metric.end.incubation is a value, it is used directly for scale
* New data for info.nests(): MiddleThird.MassWeighted.temperature.mean and .se
* Correct a bug for info.nests() if there is only one temperature
* Correct a bug for searchR() that prevent return a result in rare occasions
* metric and summary can be used when partial incubations are observed using metric.end.incubation=x with x being the final size
* Correct a bug for fill parameter in info.nests()
* New data for embryological stages: Emys orbicularis.mass and Emys obicularis.SCL. They are store in TSP.list
* Rename Caretta caretta embryological stages: Caretta caretta.SCL
* After plotR_hist(), the y-scale is the scale for R graph (previously it was the one for histogram)
* Only the function lsoda is imported from deSolve to prevent a warning during check

          CHANGES IN VERSION 6.0.1    (2015-06-30)

* Change info.nests() for R 3.2 compatibility
* Minor changes in FormatNests(); test if names are unique
* Correct a bug for Hill model of TSD
* Add optimx as an option for searchR()
* The latest version can always been installed using:
  install.packages("http://www.ese.u-psud.fr/epc/conservation/CRAN/embryogrowth.tar.gz",
    repos=NULL, type="source")
* $SD is store also in mcmc objects. This SD is the SE for points estimates.

          CHANGES IN VERSION 6.0    (2015-04-15)

* FormatNests() can convert old format database using data=xxx with xxx being the old format database
* info.nests() is much more complete
* polynom package is now in dependencies
* New columns IndiceK in FormatNests() output to accelerate SearchR()
* predict.tsd() uses the new model for CI estimation
* plot.tsd() does not make any estimation; it just plot the object created by tsd()
* New method for confidence interval in tsd()
* If stopattest=TRUE is used in .fonctionfit() the time for end of incubation is estimated using polynomial interpolation
* Hmisc package is no more required
* new parameters SE and fixed.parameters in tsd()
* The anchored parameters can use Celcius degrees
* Many changes in .fonctionfit .STRNfit (hidden fonctions)
* searchR() is more rational for initial tests of weights and better manage parallel runs
* Add a progression bar for predict.tsd()
* MHmcmcAlgo(), minmax.periodic(), temperature.periodic() and info.sun() functions are transfered to new package: HelpersMG
* STRN() does not use replicate.CI for info.nests()
* Add parameters= for GenerateAnchor() and GRTRN_MHmcmc_p()
* The weight scheme for CTE called weigthed mean temperature during TSP can use another thermal reaction norm: the thermal reaction norm for sexualisation (STRN). The new CTE is named TSD.mean.temperature
* New CTE named TSD.weighted.mean.temperature. It includes both the thernal reaction norm for growth rate and the thermal reaction norm for sexualisation.
* New function STRN() to fit the Sexualisation thermal reaction norm
* New function STRN_MHmcmc() to model the enveloppe of the STRN
* New parameters to continue MCMC run from previous run in GRTRN_MHmcmc(), STRN_MHmcmc() and tsd_MHmcmc()
* Correct a bug to estimate the mean temperature within the TSP
* If weight is included in FormatNests, it is used in searchR()
* Correct a bug when plotR() is called without result parameter
* Correct a bug for info.nest() with SE
* Temperatures or durations can be associated with SE for predict.tsd()
* TestParallel() function display the user time of system.time()
* Package polynom is required for anchored model
* Anchored model uses now Lagrange polynoms rather than loess fitting method
* When anchored model is negative, it is fixed to 0
* New function sun.info()
* minmax.periodic() can use different minimum or maximum time each day. Correct a bug for SD in minmax.periodic

          CHANGES IN VERSION 5.1    (2014-10-05)

* New version of STRES_TSD and help for this database is more clear
* Future changes in STRES_TSD will not be longer be reported here
* tsd() can now uses also incubation period
* Equation Hulin (from Hulin et al 2009) is implemented in tsd()
* Equation Double-Richards (from Girondot, submited) is implemented in tsd()
* Packages numDeriv and entropy are now only suggested
* New parameters lty.temperatures and lwd.temperatures for plot.NestsResult()
* Predict.tsd() without temperatures or durations uses original temperatures or durations
* New function plot.tsd() 
* New possibility to use Bayesian estimate for tsd()
* Remove parallel computing for windows in MCMC
* New functions minmax.periodic() and temperature.periodic()

          CHANGES IN VERSION 5.0    (2014-08-15)

* New bibliographic references and first version in CRAN
* Remove parallel computing option for Windows
* Remove local update

          CHANGES IN VERSION 4.14    (2014-06-14)

* Correct bug for Richards equation in tsd and predict.tsd() works faster

          CHANGES IN VERSION 4.09-4.13    (2014-06-11)

* New function logLik() applied to NestsResult and tsd
* New version of STRES_TSD
* No return line from plot()
* x-axis is returned correctly after plotR_hist()

          CHANGES IN VERSION 4.05-4.08    (2014-06-03)

* predict.tsd() is more rapid and can be used without CI
* New version of STRES_TSD
* remove dependency of many packages
* new parameter lwd and lwdCI for plotR() and plotR_hist() 

          CHANGES IN VERSION 4.04    (2014-04-14)

* Correct a warning in plotR() when Scale is used
* Correct a bug in plot.nestresult() when for special length of time series

          CHANGES IN VERSION 4.01-4.03    (2014-03-05)

* 1000 iterations are allowed for tsd() and test if convergence is reached
* new way to define initial P value for tsd()
* new automatic xlim for tsd() function to show all TRT 
* many changes in shiny code. Remove visibility of ShinyEmbryogrowth()

          CHANGES IN VERSION 4.00    (2014-03-02)

* shiny application is included. Call it using ShinyEmbryogrowth()

          CHANGES IN VERSION 3.02    (2014-03-01)

* mcmc results for anchored parameters use 10000 iterations
* Correct a warning when there is no variability in TSP

          CHANGES IN VERSION 3.01    (2014-02-12)

* Possible to save intermediate results during fitting

          CHANGES IN VERSION 3.00    (2014-02-08)

* Possibility to define R by anchor of loess fitting

          CHANGES IN VERSION 2.30    (2014-02-02)

* New version with corrected rK value
* weight parameter is store in result of searchR() and used for mcmc
* Add the function switch.transition()
* New function merge.mcmcComposite() to merge two objects mcmcComposite

          CHANGES IN VERSION 2.28    (2014-01-24)

* Correct a bug in movingincubation()

          CHANGES IN VERSION 2.27    (2014-01-23)

* Correct a bug in movingincubation()
* Predict method for tsd

          CHANGES IN VERSION 2.26    (2014-01-22)

* Add SE for weight temperature by growth during TSP and mean temperature during TSP
* Add SE for borders of TSP
* Store weighted temperature by growth during TSP for movingincubation()

          CHANGES IN VERSION 2.25    (2014-01-21)

* Calculate mean temperature in middle-third of incubation and weight temperature by growth during TSP

          CHANGES IN VERSION 2.24    (2014-01-16)

* New function to change from 4p to 6p parameters functions and reverse

          CHANGES IN VERSION 2.23    (2014-01-08)

* Correct a bug for linear or exponential derivative and parallel computing
* Add mar parameter for plot.NestResults()

           CHANGES IN VERSION 2.22    (2013-12-22)

* TRT is calculated for Hill and Richards equations in tsd() function
* Limits and their standard errors are calculated in tsd()

           CHANGES IN VERSION 2.21    (2013-11-22)

* GSD, Hill and Richards equations are included in tsd() function
* Many improvments for tsd() function

           CHANGES IN VERSION 2.19-2.20    (2013-09-26)

* In MovingIncubation(), a timesseries at the end of incubation can be provided to model the metabolic heating
* SE of parameters are used if replicate.CI is different from 0

           CHANGES IN VERSION 2.18    (2013-09-09)

* Correction of bug in generateIL.df and info.nests
* generateIL.df renamed GenerateConstInc
* New parameter xlimR to show only part of R function in plotR and plotR_hist

           CHANGES IN VERSION 2.17    (2013-08-20)

* hist.nests and hist.nestsresults return a list with the complete set of temperatures

           CHANGES IN VERSION 2.16    (2013-07-01)

* New function generateIL.df

           CHANGES IN VERSION 2.15    (2013-06-25)

* New parameter OutPlot for plot.NestsResult()

           CHANGES IN VERSION 2.15    (2013-06-24)

* Correct a bug for mean temperature of a nest

           CHANGES IN VERSION 2.14    (2013-06-23)

* New version of uploading to ESE server after building package
* New parameter col for Entropy
* Output of tsd() takes into account that the regressor could be not the temperature

           CHANGES IN VERSION 2.11    (2013-06-11)

* Better format for examples

           CHANGES IN VERSION 2.10    (2013-04-08)
           
* New parameter for embryogrowth_MHmcmc_p() to automatically accept proposed priors
* New parameter echo for likelihoodR()

           CHANGES IN VERSION 2.09    (2013-04-04)
           
* Correct a bug in mean.temperature and mean.temperature.TSP in info.nest() and plot()
* Add a parameter to plotR() to manage where to display information "mean" and "confidence interval"

           CHANGES IN VERSION 2.08    (2013-04-04)
           
* Correct a bug in plotR_hist() if parameters for plotR() were used
* Add the progress parameter in info.nests
* Calculte the mean temperature during all incubation in info.nest() and plot()

           CHANGES IN VERSION 2.07    (2013-02-21)
           
* Parameter weight is added in FormatNests(), searchR() and likelihoodR()
* Correct the test in SearchR() to be sure that fixed and fitted parameters are not duplicated
* New function weightmaxentropy() which searches for the relative weights for each nest to maximize entropy
* New database fitted with weight

            CHANGES IN VERSION 2.06    (2013-02-15)
           
* Correct Movingincubation() to take into account the _L list return by .SSM()
* Correct plot.NestsResult() for truncated numbers
* as.par.mcmcComposite() and as.mcmc.mcmcComposite() are transfered to the package phenology.
* Loading of package does not failed if the description is not available online.
* Movingincubation() returns a dataframe with time and length of TSP

            CHANGES IN VERSION 2.05    (2013-01-27)
           
* many minor changes in plot.NestsResult for better ylimS managment and to prevent an error when no SD is available

           CHANGES IN VERSION 2.04    (2013-01-09)
           
* tsd() show the complete curve depending on xlim parameter
* plot.NestsResult returns a list with two objects: summary with the summary statistics for each nest and traces with the change of length or mass for each nest

           CHANGES IN VERSION 2.00-2.03    (2013-01-02)
           
* Embryo growth can be modeled using two sets of equations, one for early development and one for late development
* as.mcmc() can be used with mcmcComposite objects
* library zoo is required to use na.locf()
* Add the function tsd() to fit data of temperature-dependent sex determination
* Correction of bug for show.box and ylimH parameters in plotR() and plotR_hist()

           CHANGES IN VERSION 1.23    (2012-11-11)

* New parameter for plot(NestsResult): ref.stage=TRUE ou FALSE
* Modeled size at the end of incubation and likelihood for each nest are returned by plot()

           CHANGES IN VERSION 1.22    (2012-11-09)

* New function MovingIncubation() to run the model day by day on a timeseries
* summary() for Nests objects
* Add simplify=TRUE for FormatNests()
* mcmc data for 6p: result_mcmc_6p_80
* Correct scale of x axis for histogram and add legend for Y axis in plotR_hist()
* Legends are not drawn twice in plotR() with lists
* Initial point is taken into account for as.par.mcmcComposite()

           CHANGES IN VERSION 1.20-1.21    (2012-11-01)

* Update can use install_url() from package devtools
* New function GenerateTest(series, size, previous) to generate test parameter for searchR()
* Color of embryo mass in plot can be changed using a vector of colors

           CHANGES IN VERSION 1.14-1.19    (2012-10-31)

* Remove the use of .EGR.env environment for searchR() in 1.14 and in plot() in 1.17
* Package can load when no internet connection is available
* Add a function testParallel() to evaluate if the option parallel is interesting for the running system
* Add class mcmcComposite to result of embryogrowth_MHmcmc()
* Add BatchSE and TimeSeriesSE elements of the output of embryogrowth_MHmcmc()
* New function plotR_hist() to display both RGraph and hist of temperatures
* Rename as_mcmc() to as.mcmc2.mcmcComposite()
* New function as.par.mcmcComposite() to get parameters at maximum likelihood from mcmcComposite object
* Add a parameter force=TRUE or FALSE to force update

           CHANGES IN VERSION 1.11-1.13     (2012-10-23)

* Rename extractMCMC() to as_mcmc()
* Correct a bias when the temperature reaches a maximum or minimum
* Allow parallel computing to be disabled

           CHANGES IN VERSION 1.10      (2012-10-21)

* Uses parallel computing for searchR() and embryogrowth_MHmcmc()

           CHANGES IN VERSION 1.09      (2012-10-19)

* New functions: extractMCMC() to be used with mcmcComposite objects to get an object to be use with coda package
* New functions: embryogrowthUpdate() to update package
* Package version is checked at package loading
* Add the defaults plot parameters for plotR()
* Possible to plot several growth rates using list objects
* Correct a bias when the temperatures always increase or decrease during incubation

           CHANGES IN VERSION 1.08      (2012-10-07)

* Use mcmc methods from phenology package

           CHANGES IN VERSION 1.07      (2012-10-06)

* Remove plotnest() and plotMHmcmc() function to keep only plot().
* If optimization is not finished after maxiter, it shows the value of fitted parameters and continues.
* Change mcmcNests class to mcmcComposite.
* plot.Nests() returns also the mean temperature within the TSP.
* The package is renamed embryogrowth
* The objects wihtin the mcmcComposite object are mcmc and mcmc.list objects
* Add a method summary of mcmcComposite object
 
 CHANGES IN VERSION 1.04      (2012-05-28 -> 2012-07-28)

* Add the possibility to use fixed parameters
* Add the three new class: mcmcNests, Nests and NestsResult
* Add Bayesian MCMC script and plot of MCMC
* Many minor changes for speed improvment
* Some bug corrections
* Change T12H for 6-parameters equation to DT
* Catch the error of singularity of matrix
* Better managment of test size if the temperatures are changed

           CHANGES IN VERSION 1.05      (2012-07-30)

* The MHMCMC algorithm can now be used by other packages.
* hist.NestsResult uses the same script as hist.Nests
* plot gives information on the position of first and second third and Sum of Square difference between these and the position of stages 21 and 26.

            CHANGES IN VERSION 1.00-1.03 (2012-05-27)

* first versions as a package. New functions added sequentially.








